@echo off
:: 获取当前用户名
set USERNAME=%USERNAME%

:: 定义源文件和目标目录
set SOURCE_FILE=RustDesk2.toml
set TARGET_DIR=C:\Users\%USERNAME%\AppData\Roaming\RustDesk\config

:: 检查目标目录是否存在，如果不存在则创建
if not exist "%TARGET_DIR%" (
    mkdir "%TARGET_DIR%"
)

:: 移动文件
move /Y "%SOURCE_FILE%" "%TARGET_DIR%"

:: 输出结果
if exist "%TARGET_DIR%\%SOURCE_FILE%" (
    echo 文件已成功移动到 %TARGET_DIR%
) else (
    echo 文件移动失败，请检查路径和权限。
)

pause